Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.permissions
Class GroupsManagerDefaultPermissions

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.permissions.GroupsManagerDefaultPermissions

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerPermissions

Direct Known Subclasses:
  GroupsManagerAdminPermissions

    public class GroupsManagerDefaultPermissions

extends java.lang.Object
implements IGroupsManagerPermissions, GroupsManagerConstants

GroupsManagerDefaultPermissions answers if the Authorization Principal is able to perform specific actions on the target Group Member.

Version:
  $Revision: 1.3 $
Author:
  Don Fracapane

Field Summary
`protected static IGroupsManagerPermissions` | `_instance`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`GroupsManagerDefaultPermissions()` put your documentation comment here

Method Summary
`boolean` | `canAssignPermissions(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can assign permissions to the target group member.
`boolean` | `canCreateGroup(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can create a group in the target group member.
`boolean` | `canDelete(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can delete the target group member.
`boolean` | `canManageMembers(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can manage the members in the target group member.
`boolean` | `canSelect(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can select the target group member.
`boolean` | `canUpdate(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can update the target group member.
`boolean` | `canView(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can view the target group member.
`boolean` | `canViewProperties(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to view the group member properties.
`static IGroupsManagerPermissions` | `getInstance()` Return the single instance of GroupsManagerDefaultPermissions.
`boolean` | `isAuthorized(IAuthorizationPrincipal ap, java.lang.String activity, IGroupMember gm)` Answers if principal can perform the activity on the target group member.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _instance

    protected static IGroupsManagerPermissions _instance

Constructor Detail

### GroupsManagerDefaultPermissions

    public GroupsManagerDefaultPermissions()

  put your documentation comment here

Method Detail

### getInstance

    public static IGroupsManagerPermissions getInstance()

  Return the single instance of GroupsManagerDefaultPermissions.

  Returns:
    IGroupsManagerPermissions

### canAssignPermissions

    public boolean canAssignPermissions(IAuthorizationPrincipal ap,
                                        IGroupMember gm)

  Answers if principal can assign permissions to the target group member.

  Specified by:
    `canAssignPermissions` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canCreateGroup

    public boolean canCreateGroup(IAuthorizationPrincipal ap,
                                  IGroupMember gm)

  Answers if principal can create a group in the target group member.

  Specified by:
    `canCreateGroup` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canManageMembers

    public boolean canManageMembers(IAuthorizationPrincipal ap,
                                    IGroupMember gm)

  Answers if principal can manage the members in the target group member.

  Specified by:
    `canManageMembers` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canDelete

    public boolean canDelete(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Answers if principal can delete the target group member.

  Specified by:
    `canDelete` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canUpdate

    public boolean canUpdate(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Answers if principal can update the target group member.

  Specified by:
    `canUpdate` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canSelect

    public boolean canSelect(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Answers if principal can select the target group member.

  Specified by:
    `canSelect` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canView

    public boolean canView(IAuthorizationPrincipal ap,
                           IGroupMember gm)

  Answers if principal can view the target group member.

  Specified by:
    `canView` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canViewProperties

    public boolean canViewProperties(IAuthorizationPrincipal ap,
                                     IGroupMember gm)

  Answers if the principal is able to view the group member properties. This is a new permission. No one should have this permission in the permission store. So initially, you may want to enforce your own policy for this permission in order to keep the behavior the same as before this update was applied. For example, you could always return a true or perhaps base this permission on another permission, such as canSelect.

  Specified by:
    `canViewProperties` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### isAuthorized

    public boolean isAuthorized(IAuthorizationPrincipal ap,
                                java.lang.String activity,
                                IGroupMember gm)

  Answers if principal can perform the activity on the target group member.

  Parameters:
    `ap` - AuthorizationPrincipal
    `activity` - String
    `gm` - IGroupMember
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD